##
##  ypanything.conf -- YPAnything Server Configuration
##

debug 2
debug_file "@l_prefix@/var/ypanything/ypanything.log"

#   NIS domain "example.com"
domain "example.com" {
    #   NIS maps: "passwd.byname" and "passwd.byuid"
    map "passwd" {
        script        "@l_prefix@/etc/ypanything/ypanything.passwd.sh"
        refresh       30
        memblock_size 8192
        ioblock_size  4096
        deliminator   ":"
        index "byname" {
            field 1
        }
        index "byuid" {
            field 3
        }
    }
    #   NIS maps: "group.byname" and "group.bygid"
    map "group" {
        script        "@l_prefix@/etc/ypanything/ypanything.group.sh"
        refresh       30
        memblock_size 8192
        ioblock_size  409
        deliminator   ":"
        index "byname" {
            field 1
        }
        index "bygid" {
            field 3
        }
    }
}

